MDKA-2007:041 : console-tools

High Nessus Plugin ID 25264


The remote Mandrake host is missing one or more security-related patches.


A limitation on the setkeycodes utility in the console-tools package was found, where it wasn't possible to set a keycode greater than 128, making it impossible to use extra keys like multimedia keys on Logitech keyboards or extra keys on many laptops.

The updated packages raise the limit of keycodes allowed, up to 240.


Update the affected package(s).

See Also

Plugin Details

Severity: High

ID: 25264

File Name: mandrake_MDKA-2007-041.nasl

Version: $Revision: 1.9 $

Type: local

Published: 2007/05/20

Modified: 2012/09/07

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: cpe:/o:mandriva:linux

Required KB Items: Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2007/05/18